{$I DacDemo.inc}

unit ConnectDialog;

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
{$IFDEF KYLIX}
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs, QStdCtrls,
  QDBCtrls, QComCtrls, QExtCtrls, QGrids, QDBGrids, QButtons, OdacClx,
{$ELSE}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, ExtCtrls, Grids, DBGrids, StdCtrls, ToolWin, ComCtrls, Buttons, OdacVcl,
{$ENDIF}
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DB, {$IFNDEF FPC}MemDS,{$ELSE}MemDataSet,{$ENDIF}
  DBAccess, Ora, OdacDemoForm, OdacDemoFrame, InheritedConnectForm, MyConnectForm;

type
  TConnectDialogFrame = class(TOdacDemoFrame)
    ToolBar: TPanel;
    DataSource: TDataSource;
    DBGrid: TDBGrid;
    OraQuery: TOraQuery;
    Panel1: TPanel;
    btOpen: TSpeedButton;
    btClose: TSpeedButton;
    DBNavigator: TDBNavigator;
    Panel3: TPanel;
    rbInherited: TRadioButton;
    rbMy: TRadioButton;
    rbDefault: TRadioButton;
    procedure btOpenClick(Sender: TObject);
    procedure btCloseClick(Sender: TObject);
    procedure rbDefaultClick(Sender: TObject);
    procedure rbMyClick(Sender: TObject);
    procedure rbInheritedClick(Sender: TObject);
  public
    destructor Destroy; override;
    procedure Initialize; override;
  end;

implementation

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

procedure TConnectDialogFrame.Initialize;
begin
  OraQuery.Connection := Connection;
end;

destructor TConnectDialogFrame.Destroy;
begin
  OdacForm.ConnectDialog.DialogClass:= '';
  inherited;
end;

procedure TConnectDialogFrame.btOpenClick(Sender: TObject);
begin
  OraQuery.Open;
end;

procedure TConnectDialogFrame.btCloseClick(Sender: TObject);
begin
  OraQuery.Close;
end;

procedure TConnectDialogFrame.rbDefaultClick(Sender: TObject);
begin
  OdacForm.ConnectDialog.DialogClass:= '';
end;

procedure TConnectDialogFrame.rbMyClick(Sender: TObject);
begin
  OdacForm.ConnectDialog.DialogClass:= 'TfmMyConnect';
end;

procedure TConnectDialogFrame.rbInheritedClick(Sender: TObject);
begin
  OdacForm.ConnectDialog.DialogClass:= 'TfmInheritedConnect';
end;

initialization
{$IFDEF FPC}
{$I ConnectDialog.lrs}
{$ENDIF}

end.

